elm::list Struct Reference

Public Member Functions
elm::list Struct Reference

Class list. More...

## Public Member Functions
| list (Eo *eo)
| Eo Constructor. More...
| list (std::nullptr_t)
| nullptr_t Constructor. More...
| list (list const &other)
| Copy Constructor.
::elm::widget_item | item_insert_before (::elm::widget_item before_, ::efl::eina::string_view label_, ::evas::object icon_, ::evas::object end_, Evas_Smart_Cb func_, const void *data_) const
::elm::widget_item | item_insert_after (::elm::widget_item after_, ::efl::eina::string_view label_, ::evas::object icon_, ::evas::object end_, Evas_Smart_Cb func_, const void *data_) const
::elm::widget_item | at_xy_item_get (Evas_Coord x_, Evas_Coord y_, int *posret_) const
::elm::widget_item | item_append (::efl::eina::string_view label_, ::evas::object icon_, ::evas::object end_, Evas_Smart_Cb func_, const void *data_) const
::elm::widget_item | item_prepend (::efl::eina::string_view label_, ::evas::object icon_, ::evas::object end_, Evas_Smart_Cb func_, const void *data_) const
::elm::widget_item | item_sorted_insert (::efl::eina::string_view label_, ::evas::object icon_, ::evas::object end_, Evas_Smart_Cb func_, const void *data_, Eina_Compare_Cb cmp_func_) const
| list (::efl::eo::parent_type _p)
| Constructs a new elm::list object. More...

## Detailed Description

Class list.

## Constructor & Destructor Documentation

## ◆ list() [1/3]

elm::list::list | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::list object.

Constructs a new elm::list object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::list my_list(efl::eo::parent = parent_object);

See also
  list(Eo* eo)

## ◆ list() [2/3]

elm::list::list | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ list() [3/3]

elm::list::list | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ at_xy_item_get()

::elm::widget_item elm::list::at_xy_item_get | ( | Evas_Coord | x_,
|  | Evas_Coord | y_,
|  | int * | posret_
| ) |  | const

Parameters

  | x |
  | y |
  [out] | posret |

## ◆ item_append()

::elm::widget_item elm::list::item_append | ( | ::efl::eina::string_view | label_,
|  | ::evas::object | icon_,
|  | ::evas::object | end_,
|  | Evas_Smart_Cb | func_,
|  | const void * | data_
| ) |  | const

Parameters

  label |
  icon |
  end |
  func |
  data |

## ◆ item_insert_after()

::elm::widget_item elm::list::item_insert_after | ( | ::elm::widget_item | after_,
|  | ::efl::eina::string_view | label_,
|  | ::evas::object | icon_,
|  | ::evas::object | end_,
|  | Evas_Smart_Cb | func_,
|  | const void * | data_
| ) |  | const

Parameters

  after |
  label |
  icon |
  end |
  func |
  data |

## ◆ item_insert_before()

::elm::widget_item elm::list::item_insert_before | ( | ::elm::widget_item | before_,
|  | ::efl::eina::string_view | label_,
|  | ::evas::object | icon_,
|  | ::evas::object | end_,
|  | Evas_Smart_Cb | func_,
|  | const void * | data_
| ) |  | const

Parameters

  before |
  label |
  icon |
  end |
  func |
  data |

## ◆ item_prepend()

::elm::widget_item elm::list::item_prepend | ( | ::efl::eina::string_view | label_,
|  | ::evas::object | icon_,
|  | ::evas::object | end_,
|  | Evas_Smart_Cb | func_,
|  | const void * | data_
| ) |  | const

Parameters

  label |
  icon |
  end |
  func |
  data |

## ◆ item_sorted_insert()

::elm::widget_item elm::list::item_sorted_insert | ( | ::efl::eina::string_view | label_,
|  | ::evas::object | icon_,
|  | ::evas::object | end_,
|  | Evas_Smart_Cb | func_,
|  | const void * | data_,
|  | Eina_Compare_Cb | cmp_func_
| ) |  | const

Parameters

  label |
  icon |
  end |
  func |
  data |
  cmp_func |